# Interface ContractTypeForeign

Type of a contract w/o full Solidity info -- not used for actual variables

#### Category

User-defined elementary types

#### Hierarchy

- ContractTypeForeign

- Defined in codec/lib/format/types.ts:517

#####
Index

### Properties

contractKind?
kind
payable?
typeClass
typeName

## Properties

### `Optional` contractKind

contractKind?: ContractKind

- Defined in codec/lib/format/types.ts:521

### kind

kind: "foreign"

- Defined in codec/lib/format/types.ts:519

### `Optional` payable

payable?: boolean

Indicates whether contract has payable fallback function

- Defined in codec/lib/format/types.ts:525

### typeClass

typeClass: "contract"

- Defined in codec/lib/format/types.ts:518

### typeName

typeName: string

- Defined in codec/lib/format/types.ts:520

Generated using TypeDoc